> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List withdrawals



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offramp/withdrawals
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/offramp/withdrawals:
    get:
      tags:
        - Off-ramp
      summary: List withdrawals
      operationId: listOfframpWithdrawals
      parameters:
        - name: status
          in: query
          schema:
            type: string
            enum:
              - initiated
              - awaiting_funds
              - funding
              - funds_sent
              - processing
              - completed
              - refund_required
              - refunded
              - failed
        - name: currency
          in: query
          schema:
            type: string
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
      responses:
        '200':
          description: Withdrawals, newest first
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        reference:
                          type: string
                        status:
                          type: string
                          enum:
                            - initiated
                            - awaiting_funds
                            - funding
                            - funds_sent
                            - processing
                            - completed
                            - refund_required
                            - refunded
                            - failed
                        walletId:
                          type: string
                        assetId:
                          type: string
                        customerId:
                          type: string
                          nullable: true
                        currency:
                          type: string
                        paymentMethod:
                          type: string
                        sourceAmount:
                          type: string
                        fiatAmount:
                          type: string
                        rate:
                          type: string
                        fee:
                          type: string
                        recipient:
                          type: object
                          nullable: true
                          description: 'Masked: account numbers show last 4 digits only'
                        transactionHash:
                          type: string
                          nullable: true
                          description: >-
                            On-chain hash of the funding transfer from your
                            wallet
                        failureReason:
                          type: string
                          nullable: true
                        failureStage:
                          type: string
                          nullable: true
                          enum:
                            - provider_setup
                            - rate_moved
                            - funding
                            - provider
                            - abandoned
                        refundDetailsRequired:
                          type: boolean
                        note:
                          type: string
                          nullable: true
                        metadata:
                          type: object
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        completedAt:
                          type: string
                          format: date-time
                          nullable: true
                  total:
                    type: integer
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.